> You are reading the Docusign Developer Documentation. For clean Markdown of any page, append .md to the page URL.
>
> Documentation indexes by section:
> - APIs and SDKs: https://docusign.docs.buildwithfern.com/docs/llms.txt
> - Platform 101: https://docusign.docs.buildwithfern.com/platform/llms.txt
> - Extension Apps: https://docusign.docs.buildwithfern.com/extension-apps/llms.txt
> - Docusign CLI: https://docusign.docs.buildwithfern.com/docusign-cli/llms.txt
>
> Authentication (OAuth, JWT Grant, M2M): https://docusign.docs.buildwithfern.com/platform/auth
> Webhooks and Connect: https://docusign.docs.buildwithfern.com/platform/webhooks
>
> OpenAPI specifications: https://docusign.docs.buildwithfern.com/openapi.json
> MCP server: https://docusign.docs.buildwithfern.com/_mcp/server

# Get account creation process

GET https://api-d.docusign.net/Management/v2/organizations/{organizationId}/assetGroup/{assetGroupId}/subAccountCreated/{assetGroupWorkId}

Gets information about an account creation process by the `assetGroupId`.

To call this endpoint:

- You must be an administrator for the specified organization

[Required scopes](/docs/admin-api/admin101/auth/): `organization_sub_account_read`

Reference: https://developers.docusign.com/docs/admin-api/reference/accountprovisioning/accountcreation/getsubaccountcreateprocessbyassetgroupworkid

## Servers

- `https://api-d.docusign.net/Management` (Demo, default)
- `https://api.docusign.net/Management` (Production)

## Request

### Path parameters

- `organizationId` (string, required) — The organization's GUID.
- `assetGroupId` (string, required) — The ID of the asset group.
- `assetGroupWorkId` (string, required) — The ID of the asset group account clone request.

### Query parameters

- `include_details` (boolean, optional) — When true, include details for the asset group account clone.

## Response

### 200

OK

- `assetGroupId` (string, optional) — The ID of the asset group to which the accounts belong.
- `assetGroupWorkId` (string, optional) — The ID of the job that is created by the request.
- `assetGroupWorkType` (enum, optional) — The type of asset group work. This property is read-only.
  - Allowed values: `Undefined`, `GroupAssetFulfillment`, `AccountAssetFulfillment`, `AccountAssetClone`, `AccountAssetCreate`, `SubscriptionSync`
- `attempts` (integer, optional) — The number of times the job has been attempted.
- `createAccountProcessingFailureDetails` (SubAccountErrorDetails, optional)
- `createdByEmail` (string, optional) — The email of the creator of the account clone work.
- `createdByName` (string, optional) — The name of the creator of the account clone work.
- `createdDate` (datetime, optional) — The date the account clone work is created.
- `message` (string, optional) — The message associated with the account clone work.
- `orderId` (string, optional) — The order ID created by the clone work.
- `status` (enum, optional) — The status of the account creation request.
  - Allowed values: `Undefined`, `Pending`, `Processing`, `ProcessingOnHold`, `PendingError`, `ProcessingError`, `Completed`, `Canceled`, `PermanentFailure`
- `subscriptionDetails` (SubAccountCreateSubscriptionDetails, optional)
- `targetAccount` (SubAccountCreateTargetAccount, optional)

## Types

### SubAccountErrorDetails

- `error` (string, optional) — The error code.
- `errorDescription` (string, optional) — The error description.
- `isSystemError` (boolean, optional) — Whether the error is caused by the system or user.

### SubAccountCreateSubscriptionDetails

- `id` (string, optional) — Subscription ID
- `modules` (list of SubAccountCreateSubscriptionModuleDetails, optional) — List of module IDs selected for creating the new account
- `planId` (string, optional) — Plan ID
- `planName` (string, optional) — Plan name

### SubAccountCreateTargetAccount

- `admin` (SubAccountCreateTargetAccountAdmin, optional)
- `countryCode` (string, optional) — The country code where the target account is in. This value is ignored if region is provided.
- `id` (string, optional) — The account ID of the new account. The GUID will be empty if the account has not been created yet.
- `name` (string, optional) — The name of the target account.
- `region` (string, optional) — The region where the target account is in.
- `site` (string, optional) — The site where the target account is on.

### SubAccountCreateSubscriptionModuleDetails

- `moduleId` (string, optional) — Module ID
- `moduleName` (string, optional) — Module name

### SubAccountCreateTargetAccountAdmin

- `email` (string, optional) — The email address of the target account's admin user.
- `firstName` (string, optional)
- `lastName` (string, optional)
- `locale` (enum, optional)
  - Allowed values: `None`, `zh_cn`, `zh_tw`, `nl`, `en`, `fr`, `de`, `it`, `ja`, `ko`, `pt`, `pt_br`, `ru`, `es`, `pl`

## Examples

**Response**

```json
{
  "assetGroupId": "string",
  "assetGroupWorkId": "string",
  "assetGroupWorkType": "Undefined",
  "attempts": 1,
  "createAccountProcessingFailureDetails": {
    "error": "string",
    "errorDescription": "string",
    "isSystemError": true
  },
  "createdByEmail": "string",
  "createdByName": "string",
  "createdDate": "2024-01-15T09:30:00Z",
  "message": "string",
  "orderId": "string",
  "status": "Undefined",
  "subscriptionDetails": {
    "id": "string",
    "modules": [
      {
        "moduleId": "string",
        "moduleName": "string"
      }
    ],
    "planId": "string",
    "planName": "string"
  },
  "targetAccount": {
    "admin": {
      "email": "string",
      "firstName": "string",
      "lastName": "string",
      "locale": "None"
    },
    "countryCode": "string",
    "id": "string",
    "name": "string",
    "region": "string",
    "site": "string"
  }
}
```